//*****************************************************************************************
// Truevision - a 3d modeler for gnome and povray
//
// toolbar.cc
//
// Vincent LE PRINCE <vincentleprince@users.sourceforge.net>
// Copyright (C) 2000-2001 Vincent LE PRINCE
// This file is part of the TRUEVISION Package

//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */ 
//*******************************************************************************************
#ifndef TV_TOOLBAR_H
#define TV_TOOLBAR_H
using namespace std;
#include "main.h"
#include "viewmanager.h"

// Dfinitions
#define TOOLB_DEF ToolBar *tbar = (ToolBar*)(app_ref->toolbar);
#define MAX_TBPMODE_BUT 5

// Classe TOOLBAR
class ToolBar : public app_object {
	#define SENDER ((ToolBar*)(data))
	friend gint chg_pmode( GtkWidget *wid, gpointer data ) { SENDER->change_pmode_cb(wid); return TRUE; }
	#undef SENDER
	
	private:
		// Objets de base
		app_objs *app_ref;
		GtkWidget *toolbar;

		// Bouttons
		GtkWidget *pmode_wid[MAX_TBPMODE_BUT];

		// Fonctions
		PointerMode pmode_loc;
		bool mode_change;
		void change_pmode_cb( GtkWidget *wid );
		
	public:
		ToolBar( app_objs* appref, GtkWidget *app );
		void pref_changed();

		void change_pmode( PointerMode pmode );
};


#endif

